package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.SysPlatform;
import com.usky.system.service.vo.PlatformMenuVo;
import com.usky.system.service.vo.MobilePlatformMenuVO;
import com.usky.system.service.vo.SysPlatformVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 平台信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
public interface SysPlatformService extends CrudService<SysPlatform> {
    List<SysPlatform> getPlatformBoxList();

    CommonPage<SysPlatformVo> getPlatformList(String platformName, String startTime, String endTime, Integer page, Integer size, Integer id);

    Long[] getPlatformMenu(Long platformId);

    Long[] getMobilePlatformMenu(Long platformId);

    void updatePlatformMenu(PlatformMenuVo platformMenuVo);

    void updateMobilePlatformMenu(MobilePlatformMenuVO mobilePlatformMenuV0);

    List<SysPlatformVo> getPlatformAllList();

    /**
     * 通过应用ID删除应用
     *
     * @param platformId 应用ID
     * @return 结果
     */
    void deletePlatformById(Integer platformId);
}
